
if HitFlashRestore_PlayerDamage_Hooked then
	return
else
	HitFlashRestore_PlayerDamage_Hooked = true
end

-- Current as at U108
local _hit_direction_actual = PlayerDamage._hit_direction
function PlayerDamage:_hit_direction(position_vector, ...)
	if position_vector then
		-- OVK changed the function to accept a position vector instead of a ray in U108. Performing vector normalizes this
		-- frequently is making me rather uneasy... Here's hoping the underlying implementation is optimized
		local dir = (self._unit:camera():position() - position_vector):normalized()
		-- Code from U106
		local infront = math.dot(self._unit:camera():forward(), dir)
		if infront < -0.9 then
			managers.environment_controller:hit_feedback_front()
		elseif infront > 0.9 then
			managers.environment_controller:hit_feedback_back()
--			managers.hud:on_hit_direction("right")
		else
			local polar = self._unit:camera():forward():to_polar_with_reference(-dir, Vector3(0, 0, 1))
			local direction = Vector3(polar.spin, polar.pitch, 0):normalized()
			if math.abs(direction.x) > math.abs(direction.y) then
				if 0 > direction.x then
					managers.environment_controller:hit_feedback_left()
--					managers.hud:on_hit_direction("left")
				else
					managers.environment_controller:hit_feedback_right()
--					managers.hud:on_hit_direction("right")
				end
			elseif 0 > direction.y then
				managers.environment_controller:hit_feedback_up()
--				managers.hud:on_hit_direction("up")
			else
				managers.environment_controller:hit_feedback_down()
--				managers.hud:on_hit_direction("down")
			end
		end
	end
	return _hit_direction_actual(self, position_vector, ...)
end
